#865 Invoice Transactions (Acct) doesn't work

closed-works-for-me
nobody
None
5
2003-11-29
2003-11-26
Young-Gook Ra
No

Please try "Quote-to-Invoice>Invoice-Inqury>Invoice-
Transactions (Acct)". We will find that it just gives the
following error messages without executing. Thank you.

=========================
10:05:32.843 VTreePanel.setSelectedNode =
InvoiceTransactions (Acct)
10:05:32.843 AMenu => 202 Invoice Transactions
(Acct)
10:05:33.765 ProcessDialog - Process=127; SOTrx=true
10:05:33.890 ProcessDialog.init
10:05:37.265 ProcessCtl.process - WindowNo=26 -
ProcessInfo[Invoice Transacti
ons (Acct),Process_ID=127,Error=false,Summary=,Log=0]
10:05:40.468 ProcessCtl.getInstanceID = 1000066
10:05:40.500 ProcessParameter.initDialog
===========> MLookupFactory: getLookup_TableDir -
Key does not end with '_ID': A
D_Org_D
===========> MLookupFactory: createLookupInfo -
No SQL - AD_Org_D
10:05:40.859 MField.loadLookup (AD_Org_D)
===========> MField.loadLookup (AD_Org_D) - No
LookupInfo
10:05:40.968 VLookup - Lookup is NULL = AD_Org_D
10:05:40.968 MField.getDefault [NONE] AD_Org_D
10:05:40.968 VLookup.setValue - AD_Org_D=null
10:05:40.968 MField.getDefault [DefaultValue]
DateAcct=2003-11-25
10:05:40.968 MField.getDefault [DefaultValue]
DateAcct=2003-11-25
10:05:41.015 MField.getDefault [DefaultValue]
IsSOTrx=Y
10:05:44.109 ProcessParameter.saveParameter
10:05:44.109 MPInstance_Para: setValueNoCheck -
AD_PInstance_ID = 1000066
10:05:44.109 MPInstance_Para: setValueNoCheck -
SeqNo = 0
Exception occurred during event dispatching:
java.lang.NullPointerException
at org.compiere.grid.ed.VLookup.getDisplay
(VLookup.java:477)
at
org.compiere.apps.ProcessParameter.saveParameters
(ProcessParameter.ja
va:433)
at
org.compiere.apps.ProcessParameter.actionPerformed
(ProcessParameter.j
ava:302)
at javax.swing.AbstractButton.fireActionPerformed
(AbstractButton.java:17
86)
at
javax.swing.AbstractButton$ForwardActionEvents.actionP
erformed(Abstra
ctButton.java:1839)
at
javax.swing.DefaultButtonModel.fireActionPerformed
(DefaultButtonModel
.java:420)
at javax.swing.DefaultButtonModel.setPressed
(DefaultButtonModel.java:258
)
at
javax.swing.plaf.basic.BasicButtonListener.mouseReleased
(BasicButtonL
istener.java:245)
at java.awt.AWTEventMulticaster.mouseReleased
(AWTEventMulticaster.java:2
31)
at java.awt.Component.processMouseEvent
(Component.java:5100)
at java.awt.Component.processEvent
(Component.java:4897)
at java.awt.Container.processEvent
(Container.java:1569)
at java.awt.Component.dispatchEventImpl
(Component.java:3615)
at java.awt.Container.dispatchEventImpl
(Container.java:1627)
at java.awt.Component.dispatchEvent
(Component.java:3477)
at
java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3483
)
at
java.awt.LightweightDispatcher.processMouseEvent
(Container.java:3198)

at java.awt.LightweightDispatcher.dispatchEvent
(Container.java:3128)
at java.awt.Container.dispatchEventImpl
(Container.java:1613)
at java.awt.Window.dispatchEventImpl
(Window.java:1606)
at java.awt.Component.dispatchEvent
(Component.java:3477)
at java.awt.EventQueue.dispatchEvent
(EventQueue.java:456)
at
java.awt.EventDispatchThread.pumpOneEventForHierarch
y(EventDispatchTh
read.java:201)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThre
ad.java:151)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThre
ad.java:141)
at java.awt.Dialog$1.run(Dialog.java:540)
at java.awt.Dialog.show(Dialog.java:561)
at org.compiere.apps.ProcessCtl.process
(ProcessCtl.java:68)
at
org.compiere.apps.ProcessDialog.actionPerformed
(ProcessDialog.java:20
9)
at javax.swing.AbstractButton.fireActionPerformed
(AbstractButton.java:17
86)
at
javax.swing.AbstractButton$ForwardActionEvents.actionP
erformed(Abstra
ctButton.java:1839)
at
javax.swing.DefaultButtonModel.fireActionPerformed
(DefaultButtonModel
.java:420)
at javax.swing.DefaultButtonModel.setPressed
(DefaultButtonModel.java:258
)
at
javax.swing.plaf.basic.BasicButtonListener.mouseReleased
(BasicButtonL
istener.java:245)
at java.awt.Component.processMouseEvent
(Component.java:5100)
at java.awt.Component.processEvent
(Component.java:4897)
at java.awt.Container.processEvent
(Container.java:1569)
at java.awt.Component.dispatchEventImpl
(Component.java:3615)
at java.awt.Container.dispatchEventImpl
(Container.java:1627)
at java.awt.Component.dispatchEvent
(Component.java:3477)
at
java.awt.LightweightDispatcher.retargetMouseEvent
(Container.java:3483
)

Discussion

  • Kathy Pink
    Kathy Pink
    2003-11-28

    Logged In: YES
    user_id=329831

    Works here fine

     
  • Kathy Pink
    Kathy Pink
    2003-11-28

    • status: open --> pending-works-for-me
     
  • Kathy Pink
    Kathy Pink
    2003-11-29

    • status: pending-works-for-me --> closed-works-for-me
     
  • Young-Gook Ra
    Young-Gook Ra
    2003-12-01

    Logged In: YES
    user_id=883606

    It doesn't work for me. I am using compiere from curent CVS.
    Which version are you using?